#include <system.h>
#include <ctype.h>
#include <string.h>
#include "spi.h"
#include "serial.h"
//#define _SDEBUG_
#include "sdebug.h"


//===============================================================================
//SPI Basic Functions
//===============================================================================
void SpiCS(unsigned char mode)
{
	if(mode)
		clear_bit(CSPORT,CSBIT);	//Activate CS
	else
		set_bit(CSPORT,CSBIT);	//inactivate CS
}
//---------------------------------------------------------------------------
void SpiInit()
{
	//SPȈ
	SpiCS(OFF);
	SPI_MOSI(0);
	SPI_CLK(1);
}
//---------------------------------------------------------------------------
//send cmd
void NSendCmd(unsigned char dat) 
{
	char i;

	SPI_CLK(0);
	SpiCS(ON);
	SPI_MOSI(0);
	//delay_us(10);
	SPI_CLK(1);
	//delay_us(10);
	//SPI_CLK(0);
	for(i=0;i<8;i++){
		SPI_CLK(0);
		SPI_MOSI(dat & 0x80);
		//delay_us(10);
		SPI_CLK(1);
		dat <<=1;
		//delay_us(10);
	}
	SpiCS(OFF);
}
//---------------------------------------------------------------------------
void NSendDat(unsigned char dat) 
{
	char i;

	SPI_CLK(0);
	SpiCS(ON);
	SPI_MOSI(1);
	//delay_us(10);
	SPI_CLK(1);
	//delay_us(10);
	//SPI_CLK(0);
	for(i=0;i<8;i++){
		SPI_CLK(0);
		SPI_MOSI(dat & 0x80);
		//delay_us(10);
		SPI_CLK(1);
		dat <<=1;
		//delay_us(10);
	}
	SpiCS(OFF);
}
//---------------------------------------------------------------------------

